#!/usr/bin/python
# -*- coding: utf-8 -*-
# @version        : 1.0
# @Create Time    : 2025/04/03 10:27
# @File           : project_image.py
# @IDE            : PyCharm
# @desc           : 项目图片信息

from fastapi import Depends, Query
from core.dependencies import Paging, QueryParams


class ProjectImageParams(QueryParams):
    def __init__(
            self,
            img_type: str | None = Query(None, title="图片类别"),
            project_id: int | None = Query(None, title="项目id"),
            params: Paging = Depends()
    ):
        super().__init__(params)
        self.img_type = img_type
        self.project_id = project_id

